MANDB(8)

NUME
mandb - creează sau actualizează memoriile tampon de index ale paginilor de manual

SINOPSIS
mandb [-dqsucpt?V] [-C fișier] [rută-manual]
mandb [-dqsut] [-C fișier] -f nume-fișier ...

DESCRIERE
mandb este utilizat pentru a inițializa sau actualiza manual memoriile tampon ale bazelor de date index. Memoriile tampon conțin informații relevante pentru starea curentă paginilor de manual ale sistemului, și informațiile stocate în ele sunt utilizate de utilitarele «man-db» pentru a le îmbunătăți viteza și funcționalitatea.

Când se creează sau se actualizează un index, mandb va avertiza cu privire la cererile .so ROFF defectuoase, nume de fișiere ale paginilor de manual false, și pagini de manual din care whatis nu poate fi analizat.

Furnizarea lui mandb cu o rută opțională delimitată de două puncte va suprascrie ruta de căutare a ierarhiei paginilor de manual a sistemului internă, determinată din informațiile găsite în fișierul de configurare «man-db».

MEMORII TAMPON BAZĂ DE DATE
mandb poate fi compilat cu suport pentru oricare dintre următoarele tipuri de baze de date.

Nume | Asincron | Numele fișierului
Bază de date Berkeley | Da | index.bt
GNU gdbm | Da | index.db
UNIX ndbm | Nu | index.(dir|pag)

Acele tipuri de baze de date care suportă actualizări asincrone oferă o viteză sporită cu prețul unei posibile coruperi în cazul de terminare neobișnuită. Într-un caz neobișnuit în care s-a întâmplat acest lucru, poate fi necesar să rulați din nou mandb cu opțiunea -c pentru a recrea bazele de date de la zero.

OPȚIUNI

-d, --debug
    Imprimă informațiile de depanare.

-q, --quiet
    Nu produce avertismente.

-s, --no-straycats
    Nu pierdeți timp căutând sau adăugând informații în bazele de date cu privire la fișierele «cat» pierdute.

-p, --no-purge
    Nu pierdeți timp verificând pentru pagini de manual șterse și curățarea lor de la bazele de date.

-c, --create
    În mod implicit, mandb va încerca să actualizeze orice bază de date creată anterior. Dacă o bază de date nu există, o va crea. Această opțiune forțează mandb să șteargă bazele de date anterioare și să le recreeze de la zero și implică --no-purge. Acest lucru poate fi necesar dacă o bază de date devine coruptă, sau dacă o nouă schemă de stocare a bazei de date este introdusă în viitor.

-u, --user-db
    Creează doar bazele de date de utilizator, chiar și cu permisiunile de scriere necesare pentru a crea baze de date de sistem.

-t, --test
    Efectuează verificările de corectare a paginilor de manual din ruta de căutare ierarhică. Cu această opțiune, mandb nu va modifica bazele de date existente.

-f, --filename
    Actualizează doar intrările pentru numele de fișier dat. Această opțiune nu este pentru uz general; este utilizată intern de man când a fost compilat cu opțiunea MAN_DB_UPDATES și găsește că o pagină nu este actualizată. Implică -p și dezactivează -c și -s.

-C fișier, --config-file=fișier
    Utilizează acest fișier de configurare al utilizatorului, mai degrabă decât cel implicit din ~/.manpath.

-?, --help
    Afișează mesajul de utilizare, apoi iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

-V, --version
    Arată versiunea, apoi iese.

STARE DE IEȘIRE

0   Executarea programului s-a încheiat fără erori.

1   Eroare de utilizare, de sintaxă sau de fișier de configurare.

2   Eroare operațională.

3   Un proces copil a eșuat.

DIAGNOSTICARE
Următoarele mesaje de avertisment pot fi emise în timpul construirii bazei de date.

<nume-fișier>: analizarea whatis pentru pagina(secțiunea) a eșuat
    O încercare de a extrage linia/liniile «whatis» din <nume(le)-fișier(ului)> specificat, a eșuat. Acest lucru se datorează de obicei, unei pagini de manual scrise greșit, dar dacă sunt emise multe astfel de mesaje, este posibil ca sistemul să conțină pagini de manual non-standard, care sunt incompatibile cu analizatorul «whatis» al «man-db». Consultați secțiunea WHATIS PARSING din lexgrog(1) pentru mai multe informații.

<nume-fișier>: este o legătură simbolică suspendată(ruptă)
    <nume-fișier> nu există, dar o legătură simbolică face referire la el. Mai multe diagnosticări sunt de obicei emise pentru a identifica <nume-fișier> al legăturii defecte.

<nume-fișier>: legătură simbolică sau cerere „.so” ROFF greșită
    <nume-fișier> este ori o legătură simbolică la un fișier care nu există, ori conține o cerere de includere ROFF la un fișier care nu există.

<nume-fișier>: se ignoră numele de fișier fals
    <nume-fișier> poate să fie sau poate să nu fie o pagină de manual validă dar numele său nu este valid. Acest lucru este de obicei din cauza unei pagini de manual cu extensia secțională <x> care a fost plasată în secțiunea paginii de manual <y>.

<mască_nume-fișier>: extensii în conflict
    Metacaracterul <mască_nume-fișier> nu este unic. Acest lucru este cauzat de obicei de existența atât a unei versiuni comprimate, cât și a unei versiuni necomprimate ale aceleiași pagini de manual. Toate, în afară de cea mai recentă, sunt ignorate.

FIȘIERE

/etc/manpath.config
    fișier de configurare man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Memorie tampon a bazei de date index globală conform cu FHS.

Locațiile mai vechi pentru memoria tampon a bazei de date includ:

/usr/man/index.(bt|db|dir|pag)
    Memorie tampon a bazei de date index globală tradițională.

/var/catman/index.(bt|db|dir|pag)
    O memorie tampon a bazei de date index global, compatibil sau alternativ cu FSSTND. NT: FSSTND = Sistemul de fișiere standard.

CONSULTAȚI ȘI
lexgrog(1), man(1), manpath(5), catman(8)

Secțiunea WHATIS PARSING care în trecut, făcea parte din această pagină de manual, acum face parte din lexgrog(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

ERORI
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db